Package oracle.jdbc

## Class OracleConnectionStringBuilder.ConnectInfo

- java.lang.Object
- - oracle.jdbc.OracleConnectionStringBuilder.ConnectInfo

Enclosing interface:
  OracleConnectionStringBuilder

    public static class OracleConnectionStringBuilder.ConnectInfo
    extends java.lang.Object

This class represents the ADDRESS node of the TNS Connect String. This builder class follows fluent API style configuring the various parameters of the ADDRESS node.

### Constructor Summary

Constructors
`ConnectInfo()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`OracleConnectionStringBuilder.ConnectInfo` `host​(java.lang.String host)` Configures host name of the Oracle Database in the connection string.
`static OracleConnectionStringBuilder.ConnectInfo` `newInstance()` Factory method for building a new instance of ConnectInfo.
`OracleConnectionStringBuilder.ConnectInfo` `port​(int port)` Configures port number of the Oracle Database in the connection string.
`OracleConnectionStringBuilder.ConnectInfo` `protocol​(java.lang.String protocol)` Configures transport protocol type of the Oracle Database in the connection string.
`OracleConnectionStringBuilder.ConnectInfo` `proxyHost​(java.lang.String proxyHost)` Configures host name of proxy server to connect to the Oracle Database.
`OracleConnectionStringBuilder.ConnectInfo` `proxyPort​(int proxyPort)` Configures port of proxy server to connect to the Oracle Database.
`OracleConnectionStringBuilder.ConnectInfo` `webSocketURI​(java.lang.String webSocketURI)` Used to configure the web-socket URL for the "WSS" connections.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectInfo

    public ConnectInfo()

### Method Detail

#### newInstance

    public static OracleConnectionStringBuilder.ConnectInfo newInstance()

Factory method for building a new instance of ConnectInfo.

Returns:
  connectInfo

#### host

    public OracleConnectionStringBuilder.ConnectInfo host​(java.lang.String host)

Configures host name of the Oracle Database in the connection string.

Parameters:
  `host` -
Returns:
  connectInfo

#### port

    public OracleConnectionStringBuilder.ConnectInfo port​(int port)

Configures port number of the Oracle Database in the connection string.

Parameters:
  `port` -
Returns:
  connectInfo

#### protocol

    public OracleConnectionStringBuilder.ConnectInfo protocol​(java.lang.String protocol)

Configures transport protocol type of the Oracle Database in the connection string.

Parameters:
  `protocol` -
Returns:
  connectInfo

#### proxyHost

    public OracleConnectionStringBuilder.ConnectInfo proxyHost​(java.lang.String proxyHost)

Configures host name of proxy server to connect to the Oracle Database.

Parameters:
  `proxyHost` -
Returns:
  connectInfo

#### proxyPort

    public OracleConnectionStringBuilder.ConnectInfo proxyPort​(int proxyPort)

Configures port of proxy server to connect to the Oracle Database.

Parameters:
  `proxyPort` -
Returns:
  connectInfo

#### webSocketURI

    public OracleConnectionStringBuilder.ConnectInfo webSocketURI​(java.lang.String webSocketURI)

Used to configure the web-socket URL for the "WSS" connections.

Parameters:
  `webSocketURI` -
Returns:
  connectInfo